--- teste2.dts	2025-09-14 20:07:11.894348224 -0300
+++ rk3528-mangopi-m28k.dts	2025-09-14 20:05:28.929978681 -0300
@@ -4043,81 +4113,7 @@
 		regulator-boot-on;
 		regulator-min-microvolt = <0xb71b00>;
 		regulator-max-microvolt = <0xb71b00>;
-		phandle = <0x9c>;
-	};
-
-	gpio-leds {
-		compatible = "gpio-leds";
-		phandle = <0x1be>;
-
-		pwr-red {
-			gpios = <0x95 0x0b 0x00>;
-			linux,default-trigger = "none";
-			default-state = "off";
-			retain-state-suspended;
-			retain-state-shutdown;
-		};
-
-		pwr-green {
-			gpios = <0x95 0x0d 0x00>;
-			linux,default-trigger = "none";
-			default-state = "on";
-			retain-state-suspended;
-			retain-state-shutdown;
-		};
-	};
-
-	hdmi-sound {
-		compatible = "rockchip,hdmi";
-		rockchip,mclk-fs = <0x80>;
-		rockchip,card-name = "rockchip,hdmi";
-		rockchip,cpu = <0x96>;
-		rockchip,codec = <0x97>;
-		rockchip,jack-det;
-		phandle = <0x1bf>;
-	};
-
-	dummy-codec {
-		status = "disabled";
-		compatible = "rockchip,dummy-codec";
-		#sound-dai-cells = <0x00>;
-		phandle = <0x99>;
-	};
-
-	pdm-mic-array {
-		status = "disabled";
-		compatible = "simple-audio-card";
-		simple-audio-card,name = "rockchip,pdm-mic-array";
-		phandle = <0x1c0>;
-
-		simple-audio-card,cpu {
-			sound-dai = <0x98>;
-		};
-
-		simple-audio-card,codec {
-			sound-dai = <0x99>;
-		};
-	};
-
-	spdif-sound {
-		status = "disabled";
-		compatible = "simple-audio-card";
-		simple-audio-card,name = "ROCKCHIP,SPDIF";
-
-		simple-audio-card,cpu {
-			sound-dai = <0x9a>;
-		};
-
-		simple-audio-card,codec {
-			sound-dai = <0x9b>;
-		};
-	};
-
-	spdif-out {
-		status = "disabled";
-		compatible = "linux,spdif-dit";
-		#sound-dai-cells = <0x00>;
-		phandle = <0x9b>;
+		phandle = <0x9e>;
 	};
 
 	vcc5v0-sys {
@@ -4127,43 +4123,61 @@
 		regulator-boot-on;
 		regulator-min-microvolt = <0x4c4b40>;
 		regulator-max-microvolt = <0x4c4b40>;
-		vin-supply = <0x9c>;
-		phandle = <0x9d>;
+		vin-supply = <0x9e>;
+		phandle = <0x9f>;
 	};
 
-	vcc5v0-host-regulator {
+	vdd-0v9-s3 {
 		compatible = "regulator-fixed";
-		regulator-name = "vcc5v0_host";
+		regulator-name = "vdd_0v9_s3";
+		regulator-always-on;
 		regulator-boot-on;
+		regulator-min-microvolt = <0xdbba0>;
+		regulator-max-microvolt = <0xdbba0>;
+		vin-supply = <0x9f>;
+		phandle = <0x1c9>;
+	};
+
+	vdd-1v8-s3 {
+		compatible = "regulator-fixed";
+		regulator-name = "vdd_1v8_s3";
 		regulator-always-on;
-		regulator-min-microvolt = <0x4c4b40>;
-		regulator-max-microvolt = <0x4c4b40>;
-		enable-active-high;
-		gpio = <0x95 0x0c 0x00>;
-		vin-supply = <0x9d>;
-		pinctrl-names = "default";
-		pinctrl-0 = <0x9e>;
-		phandle = <0x85>;
+		regulator-boot-on;
+		regulator-min-microvolt = <0x1b7740>;
+		regulator-max-microvolt = <0x1b7740>;
+		vin-supply = <0x9f>;
+		phandle = <0x60>;
+	};
+
+	vcc-3v3-s3 {
+		compatible = "regulator-fixed";
+		regulator-name = "vcc_3v3_s3";
+		regulator-always-on;
+		regulator-boot-on;
+		regulator-min-microvolt = <0x325aa0>;
+		regulator-max-microvolt = <0x325aa0>;
+		vin-supply = <0x9f>;
+		phandle = <0x25>;
 	};
 
 	vdd-logic {
 		compatible = "pwm-regulator";
-		pwms = <0x9f 0x00 0x1388 0x01>;
+		pwms = <0xa0 0x00 0x1388 0x01>;
 		regulator-name = "vdd_logic";
-		regulator-min-microvolt = <0xaba18>;
+		regulator-min-microvolt = <0xac1e8>;
 		regulator-max-microvolt = <0xf59b0>;
 		regulator-init-microvolt = <0xdbba0>;
 		regulator-always-on;
 		regulator-boot-on;
 		regulator-settling-time-up-us = <0xfa>;
-		pwm-supply = <0x9d>;
+		pwm-supply = <0x9f>;
 		status = "okay";
 		phandle = <0x1a>;
 	};
 
 	vdd-cpu {
 		compatible = "pwm-regulator";
-		pwms = <0xa0 0x00 0x1388 0x01>;
+		pwms = <0xa1 0x00 0x1388 0x01>;
 		regulator-name = "vdd_cpu";
 		regulator-min-microvolt = <0xb6210>;
 		regulator-max-microvolt = <0x125368>;
@@ -4171,42 +4185,45 @@
 		regulator-always-on;
 		regulator-boot-on;
 		regulator-settling-time-up-us = <0xfa>;
-		pwm-supply = <0x9d>;
+		pwm-supply = <0x9f>;
 		status = "okay";
 		phandle = <0x0a>;
 	};
 
-	vdd-0v9-s3 {
-		compatible = "regulator-fixed";
-		regulator-name = "vdd_0v9_s3";
+	vdd-gpu {
+		compatible = "pwm-regulator";
+		pwms = <0xa2 0x00 0x1388 0x01>;
+		regulator-name = "vdd_gpu";
+		regulator-min-microvolt = <0xac1e8>;
+		regulator-max-microvolt = <0x118460>;
+		regulator-init-microvolt = <0xdbba0>;
 		regulator-always-on;
 		regulator-boot-on;
-		regulator-min-microvolt = <0xdbba0>;
-		regulator-max-microvolt = <0xdbba0>;
-		vin-supply = <0x9d>;
-		phandle = <0x1c1>;
+		regulator-settling-time-up-us = <0xfa>;
+		pwm-supply = <0x9f>;
+		status = "okay";
+		phandle = <0x2e>;
 	};
 
-	vdd-1v8-s3 {
-		compatible = "regulator-fixed";
-		regulator-name = "vdd_1v8_s3";
-		regulator-always-on;
-		regulator-boot-on;
+	vccio-sd {
+		compatible = "regulator-gpio";
+		regulator-name = "vccio_sd";
 		regulator-min-microvolt = <0x1b7740>;
-		regulator-max-microvolt = <0x1b7740>;
-		vin-supply = <0x9d>;
-		phandle = <0x5c>;
+		regulator-max-microvolt = <0x325aa0>;
+		gpios = <0x24 0x0e 0x00>;
+		vin-supply = <0x9f>;
+		states = <0x1b7740 0x00 0x325aa0 0x01>;
+		phandle = <0x90>;
 	};
 
-	vcc-3v3-s3 {
+	vcc-sd {
 		compatible = "regulator-fixed";
-		regulator-name = "vcc_3v3_s3";
-		regulator-always-on;
-		regulator-boot-on;
+		gpio = <0x24 0x01 0x01>;
+		regulator-name = "vcc_sd";
 		regulator-min-microvolt = <0x325aa0>;
 		regulator-max-microvolt = <0x325aa0>;
-		vin-supply = <0x9d>;
-		phandle = <0xa1>;
+		vin-supply = <0x25>;
+		phandle = <0x91>;
 	};
 
 	vcc-ddr-s3 {
@@ -4216,135 +4233,82 @@
 		regulator-boot-on;
 		regulator-min-microvolt = <0x124f80>;
 		regulator-max-microvolt = <0x124f80>;
-		vin-supply = <0x9d>;
-		phandle = <0x1c2>;
-	};
-
-	vcc-sd {
-		compatible = "regulator-fixed";
-		regulator-name = "vcc_sd";
-		regulator-min-microvolt = <0x325aa0>;
-		regulator-max-microvolt = <0x325aa0>;
-		vin-supply = <0xa1>;
-		regulator-always-on;
-		phandle = <0x84>;
-	};
-
-	vccio-sd {
-		compatible = "regulator-fixed";
-		regulator-name = "vccio_sd";
-		regulator-min-microvolt = <0x1b7740>;
-		regulator-max-microvolt = <0x1b7740>;
-		vin-supply = <0x9d>;
-		regulator-always-on;
-		phandle = <0x1c3>;
-	};
-
-	chosen {
-		bootargs = "earlycon=uart8250,mmio32,0xff9f0000 console=ttyFIQ0 driver_async_probe=dwmmc_rockchip,rockchip-drm drm_kms_helper.fbdev_emulation=0";
-		phandle = <0x1c4>;
+		vin-supply = <0x9f>;
+		phandle = <0x1ca>;
 	};
 
-	fiq-debugger {
-		compatible = "rockchip,fiq-debugger";
-		rockchip,serial-id = <0x00>;
-		rockchip,wake-irq = <0x00>;
-		rockchip,irq-mode-enable = <0x01>;
-		rockchip,baudrate = <0x16e360>;
-		interrupts = <0x00 0xba 0x04>;
-		pinctrl-names = "default";
-		pinctrl-0 = <0xa2>;
+	hdmi-sound {
 		status = "okay";
-	};
-
-	reserved-memory {
-		#address-cells = <0x02>;
-		#size-cells = <0x02>;
-		ranges;
-		phandle = <0x1c5>;
-
-		cma {
-			compatible = "shared-dma-pool";
-			reusable;
-			size = <0x00 0x800000>;
-			linux,cma-default;
-		};
-
-		drm-logo@00000000 {
-			compatible = "rockchip,drm-logo";
-			reg = <0x00 0x00 0x00 0x00>;
-			phandle = <0x14>;
-		};
+		compatible = "simple-audio-card";
+		simple-audio-card,format = "i2s";
+		simple-audio-card,mclk-fs = <0x80>;
+		simple-audio-card,name = "rockchip-hdmi0";
+		phandle = <0x1cb>;
 
-		drm-cubic-lut@00000000 {
-			compatible = "rockchip,drm-cubic-lut";
-			reg = <0x00 0x00 0x00 0x00>;
-			phandle = <0x15>;
+		simple-audio-card,cpu {
+			sound-dai = <0xa3>;
 		};
 
-		ramoops@110000 {
-			compatible = "ramoops";
-			reg = <0x00 0x110000 0x00 0xe0000>;
-			boot-log-size = <0x8000>;
-			boot-log-count = <0x01>;
-			console-size = <0x80000>;
-			pmsg-size = <0x30000>;
-			ftrace-size = <0x00>;
-			record-size = <0x14000>;
-			phandle = <0x1c6>;
+		simple-audio-card,codec {
+			sound-dai = <0xa4>;
 		};
 	};
 
 	sdio-pwrseq {
 		compatible = "mmc-pwrseq-simple";
 		pinctrl-names = "default";
-		pinctrl-0 = <0xa3 0xa4>;
-		reset-gpios = <0xa5 0x0c 0x01>;
-		phandle = <0x7c>;
-	};
-
-	wireless-bluetooth {
-		compatible = "bluetooth-platdata";
-		uart_rts_gpios = <0xa5 0x02 0x01>;
-		pinctrl-names = "default", "rts_gpio";
-		pinctrl-0 = <0xa6>;
-		pinctrl-1 = <0xa7>;
-		BT,reset_gpio = <0xa5 0x12 0x00>;
-		BT,wake_host_irq = <0xa5 0x11 0x00>;
-		status = "okay";
-		phandle = <0x1c7>;
+		pinctrl-0 = <0xa5>;
+		reset-gpios = <0xa6 0x06 0x01>;
+		phandle = <0x88>;
 	};
 
 	wireless-wlan {
 		compatible = "wlan-platdata";
 		rockchip,grf = <0x0f>;
-		wifi_chip_type = "rtl8822cs";
+		wifi_chip_type = "ap6275s";
 		pinctrl-names = "default";
-		pinctrl-0 = <0xa8 0xa9>;
-		WIFI,host_wake_irq = <0xa5 0x0b 0x00>;
-		WIFI,poweren_gpio = <0xa5 0x0a 0x00>;
+		pinctrl-0 = <0xa7>;
+		WIFI,host_wake_irq = <0xa6 0x07 0x00>;
 		status = "okay";
-		phandle = <0x1c8>;
+		phandle = <0x1cc>;
 	};
 
-	fd628-dev {
-		compatible = "amlogic, fd628_dev";
-		fd628_gpio_clk = <0x95 0x03 0x00>;
-		fd628_gpio_dat = <0x95 0x02 0x00>;
+	wireless-bluetooth {
+		compatible = "bluetooth-platdata";
+		uart_rts_gpios = <0xa6 0x0a 0x01>;
+		pinctrl-names = "default", "rts_gpio";
+		pinctrl-0 = <0xa8 0xa9 0xaa 0xab>;
+		pinctrl-1 = <0xac>;
+		BT,reset_gpio = <0xa6 0x11 0x00>;
+		BT,wake_gpio = <0xa6 0x0c 0x00>;
+		BT,wake_host_irq = <0xa6 0x12 0x00>;
 		status = "okay";
-		phandle = <0x1c9>;
+		phandle = <0x1cd>;
 	};
 
-	dummy-battery {
-		compatible = "amlogic, dummy-battery";
-		status = "okay";
-		phandle = <0x1ca>;
-	};
+	gpio-leds {
+		compatible = "gpio-leds";
+		pinctrl-names = "default";
+		pinctrl-0 = <0xad 0xae 0xaf>;
+		phandle = <0x1ce>;
 
-	dummy-charger {
-		compatible = "amlogic, dummy-charger";
-		status = "okay";
-		phandle = <0x1cb>;
+		work {
+			label = "led_green";
+			gpios = <0x24 0x0f 0x01>;
+			linux,default-trigger = "heartbeat";
+		};
+
+		lan {
+			label = "led_amber";
+			gpios = <0x24 0x0d 0x01>;
+			linux,default-trigger = "default-on";
+		};
+
+		wan {
+			label = "led_blue";
+			gpios = <0x24 0x10 0x01>;
+			linux,default-trigger = "default-on";
+		};
 	};
 
 	__symbols__ {
@@ -4365,6 +4329,7 @@
 		route_tve = "/display-subsystem/route/route-tve";
 		dmc = "/dmc";
 		dmc_opp_table = "/dmc-opp-table";
+		firmware = "/firmware";
 		scmi = "/firmware/scmi";
 		scmi_clk = "/firmware/scmi/protocol@14";
 		mpp_srv = "/mpp-srv";
@@ -4382,6 +4347,7 @@
 		rkvdec_sram = "/sram@fe480000/rkvdec-sram@0";
 		pcie2x1 = "/pcie@fe4f0000";
 		pcie2x1_intc = "/pcie@fe4f0000/legacy-interrupt-controller";
+		pcie_eth = "/pcie@fe4f0000/pcie@0,0/pcie-eth@10,0";
 		usbdrd30 = "/usbdrd";
 		usbdrd_dwc3 = "/usbdrd/dwc3@fe500000";
 		gic = "/interrupt-controller@fed01000";
@@ -4502,6 +4468,7 @@
 		gmac0_mtl_tx_setup = "/ethernet@ffbd0000/tx-queues-config";
 		gmac1 = "/ethernet@ffbe0000";
 		mdio1 = "/ethernet@ffbe0000/mdio";
+		rgmii_phy = "/ethernet@ffbe0000/mdio/phy@1";
 		gmac1_stmmac_axi_setup = "/ethernet@ffbe0000/stmmac-axi-config";
 		gmac1_mtl_rx_setup = "/ethernet@ffbe0000/rx-queues-config";
 		gmac1_mtl_tx_setup = "/ethernet@ffbe0000/tx-queues-config";
@@ -4676,6 +4643,7 @@
 		jtagm1_pins = "/pinctrl/jtag/jtagm1-pins";
 		pciem0_pins = "/pinctrl/pcie/pciem0-pins";
 		pciem1_pins = "/pinctrl/pcie/pciem1-pins";
+		pcie_rtl8111_isolate = "/pinctrl/pcie/pcie-rtl8111-isolate";
 		pdm_clk0 = "/pinctrl/pdm/pdm-clk0";
 		pdm_clk1 = "/pinctrl/pdm/pdm-clk1";
 		pdm_sdi0 = "/pinctrl/pdm/pdm-sdi0";
@@ -4773,39 +4741,38 @@
 		uart7m1_xfer = "/pinctrl/uart7/uart7m1-xfer";
 		uart7m1_ctsn = "/pinctrl/uart7/uart7m1-ctsn";
 		uart7m1_rtsn = "/pinctrl/uart7/uart7m1-rtsn";
-		vcc5v0_host_en = "/pinctrl/usb/vcc5v0-host-en";
-		wifi_reset = "/pinctrl/sdio-pwrseq/wifi-reset";
+		led_green_en = "/pinctrl/leds/led-green-en";
+		led_amber_en = "/pinctrl/leds/led-amber-en";
+		led_blue_en = "/pinctrl/leds/led-blue-en";
+		wifi_enable_h = "/pinctrl/sdio-pwrseq/wifi-enable-h";
 		wifi_host_wake_irq = "/pinctrl/wireless-wlan/wifi-host-wake-irq";
-		wifi_enable_h = "/pinctrl/wireless-wlan/wifi-enable-h";
-		uart2m0_gpios = "/pinctrl/wireless-bluetooth/uart2m0-gpios";
-		acodec_sound = "/acodec-sound";
+		uart2m1_gpios = "/pinctrl/wireless-bluetooth/uart2m1-gpios";
+		bt_reset_gpio = "/pinctrl/wireless-bluetooth/bt-reset-gpio";
+		bt_wake_gpio = "/pinctrl/wireless-bluetooth/bt-wake-gpio";
+		bt_host_wake_irq = "/pinctrl/wireless-bluetooth/bt-host-wake-irq";
+		chosen = "/chosen";
+		fiq_debugger = "/fiq-debugger";
+		reserved_memory = "/reserved-memory";
+		cmd = "/reserved-memory/cma";
+		drm_logo = "/reserved-memory/drm-logo@00000000";
+		drm_cubic_lut = "/reserved-memory/drm-cubic-lut@00000000";
+		ramoops = "/reserved-memory/ramoops@110000";
 		adc_keys = "/adc-keys";
 		dc_12v = "/dc-12v";
-		leds = "/gpio-leds";
-		hdmi_sound = "/hdmi-sound";
-		pdmics = "/dummy-codec";
-		pdm_mic_array = "/pdm-mic-array";
-		spdif_out = "/spdif-out";
 		vcc5v0_sys = "/vcc5v0-sys";
-		vcc5v0_host = "/vcc5v0-host-regulator";
-		vdd_logic = "/vdd-logic";
-		vdd_cpu = "/vdd-cpu";
 		vdd_0v9_s3 = "/vdd-0v9-s3";
 		vdd_1v8_s3 = "/vdd-1v8-s3";
 		vcc_3v3_s3 = "/vcc-3v3-s3";
-		vcc_ddr_s3 = "/vcc-ddr-s3";
-		vcc_sd = "/vcc-sd";
+		vdd_logic = "/vdd-logic";
+		vdd_cpu = "/vdd-cpu";
+		vdd_gpu = "/vdd-gpu";
 		vccio_sd = "/vccio-sd";
-		chosen = "/chosen";
-		reserved_memory = "/reserved-memory";
-		drm_logo = "/reserved-memory/drm-logo@00000000";
-		drm_cubic_lut = "/reserved-memory/drm-cubic-lut@00000000";
-		ramoops = "/reserved-memory/ramoops@110000";
+		vcc_sd = "/vcc-sd";
+		vcc_ddr_s3 = "/vcc-ddr-s3";
+		hdmi_sound = "/hdmi-sound";
 		sdio_pwrseq = "/sdio-pwrseq";
-		wireless_bluetooth = "/wireless-bluetooth";
 		wireless_wlan = "/wireless-wlan";
-		fd628_dev = "/fd628-dev";
-		amlogic_battery = "/dummy-battery";
-		amlogic_charger = "/dummy-charger";
+		wireless_bluetooth = "/wireless-bluetooth";
+		leds = "/gpio-leds";
 	};
 };
